Bug 54630 - xfs initscript does not run if /usr/X11R6/bin/X missing
xfs initscript does not run if /usr/X11R6/bin/X missing
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: 92073 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-10-14 05:52 EDT by George Pajari
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3.0-13.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-30 04:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Pajari 2001-10-14 05:52:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows 98; Win 9x 4.90)

Description of problem:
(Component is actually XFree86-xfs, not available in list to select.)

The /etc/rc.d/init.d/xfs initscript tests for the presence of the symbolic 
link /usr/X11R6/bin/X and if it is not present, does not start the X11 
font server xfs.

Since there are many reasons why one might want to run the X11 font server 
without the X executable loaded I should think a more finely grained 
method of enabling/disabling the X11 font server ought to be chosen.

This would enable, for example, third-part apps that need the X11 font 
server, to edit a config file to enable xfs rather than having to go 
through the hack of creating a fake /usr/X11R6/bin/X symbolic link to fool 
the initscript.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install the X11 font server without /usr/X11R6/bin/X
2. Run /etc/rc.d/init.d/xfs start
3. Run /etc/rc.d/init./xfs status

Actual Results:  xfs status reports "xfs is stopped"

Expected Results:  xfs ought to be running

Additional info:
Comment 1 Mike A. Harris 2001-10-21 17:45:56 EDT
I believe the reason that check is in there is because someone
reported a bug where xfs gets started on a machine if installed,
even if no X server is present or used.  The default behaviour
should be for the common case, which is where an X server is used,
however there are problems with both situations.

I will have to think about this a bit to figure out a new way
of solving the other problem without causing this one.
Comment 2 George Pajari 2001-11-21 06:32:39 EST
I appreciate the problem. How about modifying the /etc/rc.d/init.d/xfs script so that xfs is started if EITHER (a) the /usr/X11R6/bin/X link is present OR (b) the file /etc/sysconfig/xfs contains a certain parameter (RUN_ALWAYS = yes).

This would preserve your existing behaviour and enable third-party packages that need the font server to force xfs to be started without caring whether or not X11 is installed/running.
Comment 3 Mike A. Harris 2002-03-11 05:37:17 EST
Yes, something like that might work ok, but we'd need a simple way of
configuring it that is end user visible.  I have plans of extending the
functionality of xfs, and supporting much more rare and corner case
configurations in the future, and of adding config tool support for them
too, including running xfs standalone serving fonts to other machines.

I just need to find the time to do it sometime without higher priority
task pileup.  ;o)

I'm going to defer this for now, and return to it in a future release,
when I tackle these issues.
Comment 4 Mike A. Harris 2003-05-30 04:15:55 EDT
After rethinking this, I've decided to remove the check afterall.  If there
are complaints about xfs starting on systems without an X server, I'll handle
it another way.

4.3.0-13.1 in rawhide will have this change.
Comment 5 Mike A. Harris 2003-06-12 12:19:45 EDT
*** Bug 92073 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.